image: busybox

pages:
  stage: deploy
  script:
    - mkdir .public
    - find . \( -path ./docs -o -path ./.git \) -prune -o -type f -print | cpio -pdvm .public
    - mv .public public
    - echo "The site will be deployed to $CI_PAGES_URL"
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
